@import "../../styles/colors.scss";

.map,
.workers {
  display: flex;
  flex-direction: column;
  height: 100vh;
  overflow: hidden;

  &.loading {
    &:after {
      position: absolute;
      z-index: 6;
      left: 50%;
      top: 50%;
      content: "";
      display: inline-block;
      width: 60px;
      height: 60px;
      transform: translate(50%, 50%);
      background-color: $primary;
      border-radius: 100%;
      animation: scaleout 1s infinite ease-in-out;
    }
    &:before {
      background: rgba(255, 255, 255, 0.8);
      content: "";
      position: absolute;
      z-index: 5;
      width: 100%;
      height: 100%;
    }
  }
}

@keyframes scaleout {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}

.columns {
  padding: 0 100px;
}

.header {
  align-items: center;
  .logo-company img {
    max-height: 100px;
  }
  .logo-app {
    text-align: center;
  }
}

.main-container {
  height: 100%;

  .side-panel {
    display: flex;
    flex-direction: column;
    height: calc(100% - 30px);
  }

  .content {
    display: flex;
    flex-direction: column;
    height: calc(100% - 30px);
  }
}

.user-link {
  font-size: 0.75rem;
  text-align: right;

  .user-badge-info {
    display: inline-block;
    margin-top: 10px;
    vertical-align: top;
    line-height: 0.875rem;
    span {
      display: block;

      &.user-badge-info__username {
        color: $light-text;
      }
    }
  }

  .user-badge-image {
    display: inline-block;
    width: 42px;
    height: 42px;
    margin-left: 12px;
    background: $grey;
    border-radius: 50%;
    box-shadow: 0 1px 2px rgba($light-purple, 0.3);

    img {
      width: 42px;
      height: 42px;
    }
  }
}

.columns.message {
  color: white;
  padding: 0;
  margin: 0;
  border-radius: 0;
  z-index: 6;
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;

  .column {
    padding: 0;
  }

  .aloha-message {
    padding: 20px;
    display: flex;
    align-items: center;
    background: $primary;

    button {
      margin-left: auto;
      background: none;
      color: $link;
      border: none;
      cursor: pointer;
      outline: none;
    }
  }
}
